'use strict';

class HandlerException extends Error {
	constructor(message, code, fileName, lineNumber) {
		super(message, fileName, lineNumber);
		this._code    = code || 0;
		this._message = message;
	}

	getErrorCode() {
		return this._code;
	}
}

module.exports = HandlerException;