'use strict';
const CONST = require("../../constants.js");
const LOG   = require("../../core/Logger.js");

const APIRequestHandlerBase = require("../APIRequestHandlerBase.js");

class CatchAll extends APIRequestHandlerBase {
	static getRoute() {
		return "/restart";
	}

	async _isAuthenticated() {
		return true;
	}

	async _hasAccess() {
		return true;
	}

	async _processGET() {
		process.kill(process.pid, "SIGINT");
		return this.respondOk();
	}
}

module.exports = CatchAll;