import React from "react";
import Snackbar from '@material-ui/core/Snackbar';
import Grow from '@material-ui/core/Grow';

const Snack = (props) => (
	<Snackbar
		open={props.open}
		TransitionComponent={Grow}
		autoHideDuration={props.autoHideDuration || 6000}
		className={"snack" + props.type}
		message={props.message}
		onClose={props.onClose}
	>
  	</Snackbar>
)

export default Snack;
