'use strict';
const ManagedObjectBase = require("./ManagedObjectBase.js");

const {
	UnimplementedMethodException
} = require('../Exception/Exceptions.js');

class ModalWindowBase extends ManagedObjectBase {
	getModal() {
		throw new UnimplementedMethodException("Modal windows must implement getModal method!");
	}
}

//ModalWindowBase.prototype.MANAGED_NAME = null;

module.exports = ModalWindowBase;