'use strict';
const ModelBase      = require("./ModelBase.js");

class RESTModelBase extends ModelBase {
	constructor(...args) {
		super(...args);
		this._pathParts = [];
		if (this._options.pathParts) this._pathParts = this._options.pathParts;
	}

	save(options) {
		return super.save({
			pathParts : this._pathParts,
			...options
		});
	}
}

module.exports = RESTModelBase;